[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# ActivateClassGroup

Activates a class group

## Declaration

Source position: classesh.inc line 2229

`function ActivateClassGroup(`
`AClass: TPersistentClass`
`):TPersistentClass;`

## Description

ActivateClassGroup activates the group of classes to which AClass belongs. The function returns the class that was last used to activate the class group.

The class registration and streaming mechanism allows to organize the classes in groups. This allows an IDE to form groups of classes, which can be enabled or disabled. It is not needed at Run-Time.

## Errors

If AClass does not belong to a class group, an exception is raised.

## See also

StartClassGroup |  | Start new class group.
GroupDescendentsWith |  | Provided for Delphi compatibility
ClassGroupOf |  | Returns the class group to which an instance or class belongs